<?php

if (isset($_POST)) {
    // .. znamená přechod o jeden adresář zpět v adresářové struktuře
    include "../php/connection.php";

    if (!$MYSQL_UPLOAD || $ANONYMOUS_MODE)
        ukoncitSpojeni("Přístup zamítnut: Anonymní mód nebo zakázaný upload do DB.", $connection);
    else {
        // Check connection
        if ($connection) {
            $nazevSouboru = json_decode(file_get_contents('php://input'), true);
            
            // Cesta k souboru
            $BACKUP_DIR = "../" . $BACKUP_DIR . "/";
            if (!is_dir($BACKUP_DIR)) {
                mkdir($BACKUP_DIR);
            }
            $backup_file = $BACKUP_DIR . $nazevSouboru . ".sql";
             

            // Příkaz mysqldump vytvoří Run the mysqldump command to create a backup of the database
            //$command = "mysqldump -u $USERNAME -p$PASSWORD $DBNAME > $backup_file";
            //system($command);

            /* Protože je použita DB Xampp , je nutné specifikovat umístění souboru, který obsahuje tento příkaz
            Tento soubor se nachází v C:/xampp/mysql/bin/mysqldump.exe.*/

            $command = "C:/xampp/mysql/bin/mysqldump.exe --user={$USERNAME} --PASSWORD={$PASSWORD} --host={$SERVERNAME} {$DBNAME} > $backup_file";
            system($command);

            ukoncitSpojeni("Uspesne vytvorena zaloha mySQL databaze", $connection);

        } else
            ukoncitSpojeni("Chyba pri pripojování do DB.", $connection);
    }
}



function ukoncitSpojeni($hlaska, $connection)
{
    echo json_encode($hlaska);
    mysqli_close($connection);
    die;
}